version: '3'
services:
  digifi-office:
    image: registry.chiefsoft.net/digifi-firstoffice:latest
    build:
      context: .
      dockerfile: Dockerfile
    restart: unless-stopped
    volumes:
      - ./:/app
      - '/app/node_modules'
    ports:
      - 6039:5173
    expose:
      - "5173"
      - "3000"
    extra_hosts:
      - digifi-apidev.chiefsoft.net:10.10.33.15
      - backend.wrenchboard.api.test:10.10.33.15
    environment:
      - PORT=${DIGIFI_PORT}
    tty: true
    stdin_open: true
volumes:
  src:

#networks:
#  default:
#    driver: bridge
#    ipam:
#      config:
#        - subnet: 172.15.56.0/24
